ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.115 by ayin, Mon Nov 5 01:04:43 2007 UTC vs.
Revision 1.116 by root, Sun Nov 11 04:08:00 2007 UTC

679GREP 679GREP
680EGREP 680EGREP
681LINKER 681LINKER
682INSTALL_LIBRXVT 682INSTALL_LIBRXVT
683RXVTNAME 683RXVTNAME
684CXXCPP
684TIC 685TIC
685XMKMF 686XMKMF
686CXXCPP
687X_CFLAGS 687X_CFLAGS
688X_PRE_LIBS 688X_PRE_LIBS
689X_LIBS 689X_LIBS
690X_EXTRA_LIBS 690X_EXTRA_LIBS
691afterimage_config 691afterimage_config
731CPPFLAGS 731CPPFLAGS
732CXX 732CXX
733CXXFLAGS 733CXXFLAGS
734CCC 734CCC
735CPP 735CPP
736XMKMF
737CXXCPP' 736CXXCPP
737XMKMF'
738 738
739 739
740# Initialize some variables set by options. 740# Initialize some variables set by options.
741ac_init_help= 741ac_init_help=
742ac_init_version=false 742ac_init_version=false
1373 CPPFLAGS C/C++/Objective C preprocessor flags, e.g. -I<include dir> if 1373 CPPFLAGS C/C++/Objective C preprocessor flags, e.g. -I<include dir> if
1374 you have headers in a nonstandard directory <include dir> 1374 you have headers in a nonstandard directory <include dir>
1375 CXX C++ compiler command 1375 CXX C++ compiler command
1376 CXXFLAGS C++ compiler flags 1376 CXXFLAGS C++ compiler flags
1377 CPP C preprocessor 1377 CPP C preprocessor
1378 CXXCPP C++ preprocessor
1378 XMKMF Path to xmkmf, Makefile generator for X Window System 1379 XMKMF Path to xmkmf, Makefile generator for X Window System
1379 CXXCPP C++ preprocessor
1380 1380
1381Use these variables to override the choices made by `configure' or to help 1381Use these variables to override the choices made by `configure' or to help
1382it to find libraries and programs with nonstandard names/locations. 1382it to find libraries and programs with nonstandard names/locations.
1383 1383
1384_ACEOF 1384_ACEOF
4891 fi 4891 fi
4892fi 4892fi
4893 4893
4894 4894
4895 4895
4896
4897ac_ext=cpp
4898ac_cpp='$CXXCPP $CPPFLAGS'
4899ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
4900ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4901ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
4902{ echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
4903echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6; }
4904if test -z "$CXXCPP"; then
4905 if test "${ac_cv_prog_CXXCPP+set}" = set; then
4906 echo $ECHO_N "(cached) $ECHO_C" >&6
4907else
4908 # Double quotes because CXXCPP needs to be expanded
4909 for CXXCPP in "$CXX -E" "/lib/cpp"
4910 do
4911 ac_preproc_ok=false
4912for ac_cxx_preproc_warn_flag in '' yes
4913do
4914 # Use a header file that comes with gcc, so configuring glibc
4915 # with a fresh cross-compiler works.
4916 # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
4917 # <limits.h> exists even on freestanding compilers.
4918 # On the NeXT, cc -E runs the code through the compiler's parser,
4919 # not just through cpp. "Syntax error" is here to catch this case.
4920 cat >conftest.$ac_ext <<_ACEOF
4921/* confdefs.h. */
4922_ACEOF
4923cat confdefs.h >>conftest.$ac_ext
4924cat >>conftest.$ac_ext <<_ACEOF
4925/* end confdefs.h. */
4926#ifdef __STDC__
4927# include <limits.h>
4928#else
4929# include <assert.h>
4930#endif
4931 Syntax error
4932_ACEOF
4933if { (ac_try="$ac_cpp conftest.$ac_ext"
4934case "(($ac_try" in
4935 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4936 *) ac_try_echo=$ac_try;;
4937esac
4938eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4939 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
4940 ac_status=$?
4941 grep -v '^ *+' conftest.er1 >conftest.err
4942 rm -f conftest.er1
4943 cat conftest.err >&5
4944 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4945 (exit $ac_status); } >/dev/null && {
4946 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
4947 test ! -s conftest.err
4948 }; then
4949 :
4950else
4951 echo "$as_me: failed program was:" >&5
4952sed 's/^/| /' conftest.$ac_ext >&5
4953
4954 # Broken: fails on valid input.
4955continue
4956fi
4957
4958rm -f conftest.err conftest.$ac_ext
4959
4960 # OK, works on sane cases. Now check whether nonexistent headers
4961 # can be detected and how.
4962 cat >conftest.$ac_ext <<_ACEOF
4963/* confdefs.h. */
4964_ACEOF
4965cat confdefs.h >>conftest.$ac_ext
4966cat >>conftest.$ac_ext <<_ACEOF
4967/* end confdefs.h. */
4968#include <ac_nonexistent.h>
4969_ACEOF
4970if { (ac_try="$ac_cpp conftest.$ac_ext"
4971case "(($ac_try" in
4972 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4973 *) ac_try_echo=$ac_try;;
4974esac
4975eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4976 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
4977 ac_status=$?
4978 grep -v '^ *+' conftest.er1 >conftest.err
4979 rm -f conftest.er1
4980 cat conftest.err >&5
4981 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4982 (exit $ac_status); } >/dev/null && {
4983 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
4984 test ! -s conftest.err
4985 }; then
4986 # Broken: success on invalid input.
4987continue
4988else
4989 echo "$as_me: failed program was:" >&5
4990sed 's/^/| /' conftest.$ac_ext >&5
4991
4992 # Passes both tests.
4993ac_preproc_ok=:
4994break
4995fi
4996
4997rm -f conftest.err conftest.$ac_ext
4998
4999done
5000# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
5001rm -f conftest.err conftest.$ac_ext
5002if $ac_preproc_ok; then
5003 break
5004fi
5005
5006 done
5007 ac_cv_prog_CXXCPP=$CXXCPP
5008
5009fi
5010 CXXCPP=$ac_cv_prog_CXXCPP
5011else
5012 ac_cv_prog_CXXCPP=$CXXCPP
5013fi
5014{ echo "$as_me:$LINENO: result: $CXXCPP" >&5
5015echo "${ECHO_T}$CXXCPP" >&6; }
5016ac_preproc_ok=false
5017for ac_cxx_preproc_warn_flag in '' yes
5018do
5019 # Use a header file that comes with gcc, so configuring glibc
5020 # with a fresh cross-compiler works.
5021 # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
5022 # <limits.h> exists even on freestanding compilers.
5023 # On the NeXT, cc -E runs the code through the compiler's parser,
5024 # not just through cpp. "Syntax error" is here to catch this case.
5025 cat >conftest.$ac_ext <<_ACEOF
5026/* confdefs.h. */
5027_ACEOF
5028cat confdefs.h >>conftest.$ac_ext
5029cat >>conftest.$ac_ext <<_ACEOF
5030/* end confdefs.h. */
5031#ifdef __STDC__
5032# include <limits.h>
5033#else
5034# include <assert.h>
5035#endif
5036 Syntax error
5037_ACEOF
5038if { (ac_try="$ac_cpp conftest.$ac_ext"
5039case "(($ac_try" in
5040 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5041 *) ac_try_echo=$ac_try;;
5042esac
5043eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5044 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
5045 ac_status=$?
5046 grep -v '^ *+' conftest.er1 >conftest.err
5047 rm -f conftest.er1
5048 cat conftest.err >&5
5049 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5050 (exit $ac_status); } >/dev/null && {
5051 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
5052 test ! -s conftest.err
5053 }; then
5054 :
5055else
5056 echo "$as_me: failed program was:" >&5
5057sed 's/^/| /' conftest.$ac_ext >&5
5058
5059 # Broken: fails on valid input.
5060continue
5061fi
5062
5063rm -f conftest.err conftest.$ac_ext
5064
5065 # OK, works on sane cases. Now check whether nonexistent headers
5066 # can be detected and how.
5067 cat >conftest.$ac_ext <<_ACEOF
5068/* confdefs.h. */
5069_ACEOF
5070cat confdefs.h >>conftest.$ac_ext
5071cat >>conftest.$ac_ext <<_ACEOF
5072/* end confdefs.h. */
5073#include <ac_nonexistent.h>
5074_ACEOF
5075if { (ac_try="$ac_cpp conftest.$ac_ext"
5076case "(($ac_try" in
5077 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5078 *) ac_try_echo=$ac_try;;
5079esac
5080eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5081 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
5082 ac_status=$?
5083 grep -v '^ *+' conftest.er1 >conftest.err
5084 rm -f conftest.er1
5085 cat conftest.err >&5
5086 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5087 (exit $ac_status); } >/dev/null && {
5088 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
5089 test ! -s conftest.err
5090 }; then
5091 # Broken: success on invalid input.
5092continue
5093else
5094 echo "$as_me: failed program was:" >&5
5095sed 's/^/| /' conftest.$ac_ext >&5
5096
5097 # Passes both tests.
5098ac_preproc_ok=:
5099break
5100fi
5101
5102rm -f conftest.err conftest.$ac_ext
5103
5104done
5105# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
5106rm -f conftest.err conftest.$ac_ext
5107if $ac_preproc_ok; then
5108 :
5109else
5110 { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
5111See \`config.log' for more details." >&5
5112echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
5113See \`config.log' for more details." >&2;}
5114 { (exit 1); exit 1; }; }
5115fi
5116
5117ac_ext=cpp
5118ac_cpp='$CXXCPP $CPPFLAGS'
5119ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5120ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5121ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
5122
5123
5124{ echo "$as_me:$LINENO: checking for ANSI C header files" >&5
5125echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6; }
5126if test "${ac_cv_header_stdc+set}" = set; then
5127 echo $ECHO_N "(cached) $ECHO_C" >&6
5128else
5129 cat >conftest.$ac_ext <<_ACEOF
5130/* confdefs.h. */
5131_ACEOF
5132cat confdefs.h >>conftest.$ac_ext
5133cat >>conftest.$ac_ext <<_ACEOF
5134/* end confdefs.h. */
5135#include <stdlib.h>
5136#include <stdarg.h>
5137#include <string.h>
5138#include <float.h>
5139
5140int
5141main ()
5142{
5143
5144 ;
5145 return 0;
5146}
5147_ACEOF
5148rm -f conftest.$ac_objext
5149if { (ac_try="$ac_compile"
5150case "(($ac_try" in
5151 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5152 *) ac_try_echo=$ac_try;;
5153esac
5154eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5155 (eval "$ac_compile") 2>conftest.er1
5156 ac_status=$?
5157 grep -v '^ *+' conftest.er1 >conftest.err
5158 rm -f conftest.er1
5159 cat conftest.err >&5
5160 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5161 (exit $ac_status); } && {
5162 test -z "$ac_cxx_werror_flag" ||
5163 test ! -s conftest.err
5164 } && test -s conftest.$ac_objext; then
5165 ac_cv_header_stdc=yes
5166else
5167 echo "$as_me: failed program was:" >&5
5168sed 's/^/| /' conftest.$ac_ext >&5
5169
5170 ac_cv_header_stdc=no
5171fi
5172
5173rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
5174
5175if test $ac_cv_header_stdc = yes; then
5176 # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
5177 cat >conftest.$ac_ext <<_ACEOF
5178/* confdefs.h. */
5179_ACEOF
5180cat confdefs.h >>conftest.$ac_ext
5181cat >>conftest.$ac_ext <<_ACEOF
5182/* end confdefs.h. */
5183#include <string.h>
5184
5185_ACEOF
5186if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
5187 $EGREP "memchr" >/dev/null 2>&1; then
5188 :
5189else
5190 ac_cv_header_stdc=no
5191fi
5192rm -f conftest*
5193
5194fi
5195
5196if test $ac_cv_header_stdc = yes; then
5197 # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
5198 cat >conftest.$ac_ext <<_ACEOF
5199/* confdefs.h. */
5200_ACEOF
5201cat confdefs.h >>conftest.$ac_ext
5202cat >>conftest.$ac_ext <<_ACEOF
5203/* end confdefs.h. */
5204#include <stdlib.h>
5205
5206_ACEOF
5207if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
5208 $EGREP "free" >/dev/null 2>&1; then
5209 :
5210else
5211 ac_cv_header_stdc=no
5212fi
5213rm -f conftest*
5214
5215fi
5216
5217if test $ac_cv_header_stdc = yes; then
5218 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
5219 if test "$cross_compiling" = yes; then
5220 :
5221else
5222 cat >conftest.$ac_ext <<_ACEOF
5223/* confdefs.h. */
5224_ACEOF
5225cat confdefs.h >>conftest.$ac_ext
5226cat >>conftest.$ac_ext <<_ACEOF
5227/* end confdefs.h. */
5228#include <ctype.h>
5229#include <stdlib.h>
5230#if ((' ' & 0x0FF) == 0x020)
5231# define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
5232# define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
5233#else
5234# define ISLOWER(c) \
5235 (('a' <= (c) && (c) <= 'i') \
5236 || ('j' <= (c) && (c) <= 'r') \
5237 || ('s' <= (c) && (c) <= 'z'))
5238# define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
5239#endif
5240
5241#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
5242int
5243main ()
5244{
5245 int i;
5246 for (i = 0; i < 256; i++)
5247 if (XOR (islower (i), ISLOWER (i))
5248 || toupper (i) != TOUPPER (i))
5249 return 2;
5250 return 0;
5251}
5252_ACEOF
5253rm -f conftest$ac_exeext
5254if { (ac_try="$ac_link"
5255case "(($ac_try" in
5256 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5257 *) ac_try_echo=$ac_try;;
5258esac
5259eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5260 (eval "$ac_link") 2>&5
5261 ac_status=$?
5262 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5263 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
5264 { (case "(($ac_try" in
5265 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5266 *) ac_try_echo=$ac_try;;
5267esac
5268eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5269 (eval "$ac_try") 2>&5
5270 ac_status=$?
5271 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5272 (exit $ac_status); }; }; then
5273 :
5274else
5275 echo "$as_me: program exited with status $ac_status" >&5
5276echo "$as_me: failed program was:" >&5
5277sed 's/^/| /' conftest.$ac_ext >&5
5278
5279( exit $ac_status )
5280ac_cv_header_stdc=no
5281fi
5282rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
5283fi
5284
5285
5286fi
5287fi
5288{ echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
5289echo "${ECHO_T}$ac_cv_header_stdc" >&6; }
5290if test $ac_cv_header_stdc = yes; then
5291
5292cat >>confdefs.h <<\_ACEOF
5293#define STDC_HEADERS 1
5294_ACEOF
5295
5296fi
5297
5298# On IRIX 5.3, sys/types and inttypes.h are conflicting.
5299
5300
5301
5302
5303
5304
5305
5306
5307
5308for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
5309 inttypes.h stdint.h unistd.h
5310do
5311as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
5312{ echo "$as_me:$LINENO: checking for $ac_header" >&5
5313echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
5314if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
5315 echo $ECHO_N "(cached) $ECHO_C" >&6
5316else
5317 cat >conftest.$ac_ext <<_ACEOF
5318/* confdefs.h. */
5319_ACEOF
5320cat confdefs.h >>conftest.$ac_ext
5321cat >>conftest.$ac_ext <<_ACEOF
5322/* end confdefs.h. */
5323$ac_includes_default
5324
5325#include <$ac_header>
5326_ACEOF
5327rm -f conftest.$ac_objext
5328if { (ac_try="$ac_compile"
5329case "(($ac_try" in
5330 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5331 *) ac_try_echo=$ac_try;;
5332esac
5333eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5334 (eval "$ac_compile") 2>conftest.er1
5335 ac_status=$?
5336 grep -v '^ *+' conftest.er1 >conftest.err
5337 rm -f conftest.er1
5338 cat conftest.err >&5
5339 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5340 (exit $ac_status); } && {
5341 test -z "$ac_cxx_werror_flag" ||
5342 test ! -s conftest.err
5343 } && test -s conftest.$ac_objext; then
5344 eval "$as_ac_Header=yes"
5345else
5346 echo "$as_me: failed program was:" >&5
5347sed 's/^/| /' conftest.$ac_ext >&5
5348
5349 eval "$as_ac_Header=no"
5350fi
5351
5352rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
5353fi
5354ac_res=`eval echo '${'$as_ac_Header'}'`
5355 { echo "$as_me:$LINENO: result: $ac_res" >&5
5356echo "${ECHO_T}$ac_res" >&6; }
5357if test `eval echo '${'$as_ac_Header'}'` = yes; then
5358 cat >>confdefs.h <<_ACEOF
5359#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
5360_ACEOF
5361
5362fi
5363
5364done
5365
5366
5367
5368
5369
5370for ac_header in sys/epoll.h sys/event.h sys/queue.h
5371do
5372as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
5373if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
5374 { echo "$as_me:$LINENO: checking for $ac_header" >&5
5375echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
5376if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
5377 echo $ECHO_N "(cached) $ECHO_C" >&6
5378fi
5379ac_res=`eval echo '${'$as_ac_Header'}'`
5380 { echo "$as_me:$LINENO: result: $ac_res" >&5
5381echo "${ECHO_T}$ac_res" >&6; }
5382else
5383 # Is the header compilable?
5384{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
5385echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
5386cat >conftest.$ac_ext <<_ACEOF
5387/* confdefs.h. */
5388_ACEOF
5389cat confdefs.h >>conftest.$ac_ext
5390cat >>conftest.$ac_ext <<_ACEOF
5391/* end confdefs.h. */
5392$ac_includes_default
5393#include <$ac_header>
5394_ACEOF
5395rm -f conftest.$ac_objext
5396if { (ac_try="$ac_compile"
5397case "(($ac_try" in
5398 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5399 *) ac_try_echo=$ac_try;;
5400esac
5401eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5402 (eval "$ac_compile") 2>conftest.er1
5403 ac_status=$?
5404 grep -v '^ *+' conftest.er1 >conftest.err
5405 rm -f conftest.er1
5406 cat conftest.err >&5
5407 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5408 (exit $ac_status); } && {
5409 test -z "$ac_cxx_werror_flag" ||
5410 test ! -s conftest.err
5411 } && test -s conftest.$ac_objext; then
5412 ac_header_compiler=yes
5413else
5414 echo "$as_me: failed program was:" >&5
5415sed 's/^/| /' conftest.$ac_ext >&5
5416
5417 ac_header_compiler=no
5418fi
5419
5420rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
5421{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
5422echo "${ECHO_T}$ac_header_compiler" >&6; }
5423
5424# Is the header present?
5425{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
5426echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
5427cat >conftest.$ac_ext <<_ACEOF
5428/* confdefs.h. */
5429_ACEOF
5430cat confdefs.h >>conftest.$ac_ext
5431cat >>conftest.$ac_ext <<_ACEOF
5432/* end confdefs.h. */
5433#include <$ac_header>
5434_ACEOF
5435if { (ac_try="$ac_cpp conftest.$ac_ext"
5436case "(($ac_try" in
5437 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5438 *) ac_try_echo=$ac_try;;
5439esac
5440eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5441 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
5442 ac_status=$?
5443 grep -v '^ *+' conftest.er1 >conftest.err
5444 rm -f conftest.er1
5445 cat conftest.err >&5
5446 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5447 (exit $ac_status); } >/dev/null && {
5448 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
5449 test ! -s conftest.err
5450 }; then
5451 ac_header_preproc=yes
5452else
5453 echo "$as_me: failed program was:" >&5
5454sed 's/^/| /' conftest.$ac_ext >&5
5455
5456 ac_header_preproc=no
5457fi
5458
5459rm -f conftest.err conftest.$ac_ext
5460{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
5461echo "${ECHO_T}$ac_header_preproc" >&6; }
5462
5463# So? What about this header?
5464case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
5465 yes:no: )
5466 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
5467echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
5468 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
5469echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
5470 ac_header_preproc=yes
5471 ;;
5472 no:yes:* )
5473 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
5474echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
5475 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
5476echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
5477 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
5478echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
5479 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
5480echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
5481 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
5482echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
5483 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
5484echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
5485
5486 ;;
5487esac
5488{ echo "$as_me:$LINENO: checking for $ac_header" >&5
5489echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
5490if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
5491 echo $ECHO_N "(cached) $ECHO_C" >&6
5492else
5493 eval "$as_ac_Header=\$ac_header_preproc"
5494fi
5495ac_res=`eval echo '${'$as_ac_Header'}'`
5496 { echo "$as_me:$LINENO: result: $ac_res" >&5
5497echo "${ECHO_T}$ac_res" >&6; }
5498
5499fi
5500if test `eval echo '${'$as_ac_Header'}'` = yes; then
5501 cat >>confdefs.h <<_ACEOF
5502#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
5503_ACEOF
5504
5505fi
5506
5507done
5508
5509
5510
5511
5512for ac_func in epoll_ctl kqueue
5513do
5514as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
5515{ echo "$as_me:$LINENO: checking for $ac_func" >&5
5516echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
5517if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
5518 echo $ECHO_N "(cached) $ECHO_C" >&6
5519else
5520 cat >conftest.$ac_ext <<_ACEOF
5521/* confdefs.h. */
5522_ACEOF
5523cat confdefs.h >>conftest.$ac_ext
5524cat >>conftest.$ac_ext <<_ACEOF
5525/* end confdefs.h. */
5526/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
5527 For example, HP-UX 11i <limits.h> declares gettimeofday. */
5528#define $ac_func innocuous_$ac_func
5529
5530/* System header to define __stub macros and hopefully few prototypes,
5531 which can conflict with char $ac_func (); below.
5532 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
5533 <limits.h> exists even on freestanding compilers. */
5534
5535#ifdef __STDC__
5536# include <limits.h>
5537#else
5538# include <assert.h>
5539#endif
5540
5541#undef $ac_func
5542
5543/* Override any GCC internal prototype to avoid an error.
5544 Use char because int might match the return type of a GCC
5545 builtin and then its argument prototype would still apply. */
5546#ifdef __cplusplus
5547extern "C"
5548#endif
5549char $ac_func ();
5550/* The GNU C library defines this for functions which it implements
5551 to always fail with ENOSYS. Some functions are actually named
5552 something starting with __ and the normal name is an alias. */
5553#if defined __stub_$ac_func || defined __stub___$ac_func
5554choke me
5555#endif
5556
5557int
5558main ()
5559{
5560return $ac_func ();
5561 ;
5562 return 0;
5563}
5564_ACEOF
5565rm -f conftest.$ac_objext conftest$ac_exeext
5566if { (ac_try="$ac_link"
5567case "(($ac_try" in
5568 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5569 *) ac_try_echo=$ac_try;;
5570esac
5571eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5572 (eval "$ac_link") 2>conftest.er1
5573 ac_status=$?
5574 grep -v '^ *+' conftest.er1 >conftest.err
5575 rm -f conftest.er1
5576 cat conftest.err >&5
5577 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5578 (exit $ac_status); } && {
5579 test -z "$ac_cxx_werror_flag" ||
5580 test ! -s conftest.err
5581 } && test -s conftest$ac_exeext &&
5582 $as_test_x conftest$ac_exeext; then
5583 eval "$as_ac_var=yes"
5584else
5585 echo "$as_me: failed program was:" >&5
5586sed 's/^/| /' conftest.$ac_ext >&5
5587
5588 eval "$as_ac_var=no"
5589fi
5590
5591rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
5592 conftest$ac_exeext conftest.$ac_ext
5593fi
5594ac_res=`eval echo '${'$as_ac_var'}'`
5595 { echo "$as_me:$LINENO: result: $ac_res" >&5
5596echo "${ECHO_T}$ac_res" >&6; }
5597if test `eval echo '${'$as_ac_var'}'` = yes; then
5598 cat >>confdefs.h <<_ACEOF
5599#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
5600_ACEOF
5601
5602fi
5603done
5604
5605
5606{ echo "$as_me:$LINENO: checking for clock_gettime" >&5
5607echo $ECHO_N "checking for clock_gettime... $ECHO_C" >&6; }
5608if test "${ac_cv_func_clock_gettime+set}" = set; then
5609 echo $ECHO_N "(cached) $ECHO_C" >&6
5610else
5611 cat >conftest.$ac_ext <<_ACEOF
5612/* confdefs.h. */
5613_ACEOF
5614cat confdefs.h >>conftest.$ac_ext
5615cat >>conftest.$ac_ext <<_ACEOF
5616/* end confdefs.h. */
5617/* Define clock_gettime to an innocuous variant, in case <limits.h> declares clock_gettime.
5618 For example, HP-UX 11i <limits.h> declares gettimeofday. */
5619#define clock_gettime innocuous_clock_gettime
5620
5621/* System header to define __stub macros and hopefully few prototypes,
5622 which can conflict with char clock_gettime (); below.
5623 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
5624 <limits.h> exists even on freestanding compilers. */
5625
5626#ifdef __STDC__
5627# include <limits.h>
5628#else
5629# include <assert.h>
5630#endif
5631
5632#undef clock_gettime
5633
5634/* Override any GCC internal prototype to avoid an error.
5635 Use char because int might match the return type of a GCC
5636 builtin and then its argument prototype would still apply. */
5637#ifdef __cplusplus
5638extern "C"
5639#endif
5640char clock_gettime ();
5641/* The GNU C library defines this for functions which it implements
5642 to always fail with ENOSYS. Some functions are actually named
5643 something starting with __ and the normal name is an alias. */
5644#if defined __stub_clock_gettime || defined __stub___clock_gettime
5645choke me
5646#endif
5647
5648int
5649main ()
5650{
5651return clock_gettime ();
5652 ;
5653 return 0;
5654}
5655_ACEOF
5656rm -f conftest.$ac_objext conftest$ac_exeext
5657if { (ac_try="$ac_link"
5658case "(($ac_try" in
5659 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5660 *) ac_try_echo=$ac_try;;
5661esac
5662eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5663 (eval "$ac_link") 2>conftest.er1
5664 ac_status=$?
5665 grep -v '^ *+' conftest.er1 >conftest.err
5666 rm -f conftest.er1
5667 cat conftest.err >&5
5668 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5669 (exit $ac_status); } && {
5670 test -z "$ac_cxx_werror_flag" ||
5671 test ! -s conftest.err
5672 } && test -s conftest$ac_exeext &&
5673 $as_test_x conftest$ac_exeext; then
5674 ac_cv_func_clock_gettime=yes
5675else
5676 echo "$as_me: failed program was:" >&5
5677sed 's/^/| /' conftest.$ac_ext >&5
5678
5679 ac_cv_func_clock_gettime=no
5680fi
5681
5682rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
5683 conftest$ac_exeext conftest.$ac_ext
5684fi
5685{ echo "$as_me:$LINENO: result: $ac_cv_func_clock_gettime" >&5
5686echo "${ECHO_T}$ac_cv_func_clock_gettime" >&6; }
5687if test $ac_cv_func_clock_gettime = yes; then
5688 :
5689else
5690
5691
5692{ echo "$as_me:$LINENO: checking for clock_gettime in -lrt" >&5
5693echo $ECHO_N "checking for clock_gettime in -lrt... $ECHO_C" >&6; }
5694if test "${ac_cv_lib_rt_clock_gettime+set}" = set; then
5695 echo $ECHO_N "(cached) $ECHO_C" >&6
5696else
5697 ac_check_lib_save_LIBS=$LIBS
5698LIBS="-lrt $LIBS"
5699cat >conftest.$ac_ext <<_ACEOF
5700/* confdefs.h. */
5701_ACEOF
5702cat confdefs.h >>conftest.$ac_ext
5703cat >>conftest.$ac_ext <<_ACEOF
5704/* end confdefs.h. */
5705
5706/* Override any GCC internal prototype to avoid an error.
5707 Use char because int might match the return type of a GCC
5708 builtin and then its argument prototype would still apply. */
5709#ifdef __cplusplus
5710extern "C"
5711#endif
5712char clock_gettime ();
5713int
5714main ()
5715{
5716return clock_gettime ();
5717 ;
5718 return 0;
5719}
5720_ACEOF
5721rm -f conftest.$ac_objext conftest$ac_exeext
5722if { (ac_try="$ac_link"
5723case "(($ac_try" in
5724 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5725 *) ac_try_echo=$ac_try;;
5726esac
5727eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5728 (eval "$ac_link") 2>conftest.er1
5729 ac_status=$?
5730 grep -v '^ *+' conftest.er1 >conftest.err
5731 rm -f conftest.er1
5732 cat conftest.err >&5
5733 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5734 (exit $ac_status); } && {
5735 test -z "$ac_cxx_werror_flag" ||
5736 test ! -s conftest.err
5737 } && test -s conftest$ac_exeext &&
5738 $as_test_x conftest$ac_exeext; then
5739 ac_cv_lib_rt_clock_gettime=yes
5740else
5741 echo "$as_me: failed program was:" >&5
5742sed 's/^/| /' conftest.$ac_ext >&5
5743
5744 ac_cv_lib_rt_clock_gettime=no
5745fi
5746
5747rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
5748 conftest$ac_exeext conftest.$ac_ext
5749LIBS=$ac_check_lib_save_LIBS
5750fi
5751{ echo "$as_me:$LINENO: result: $ac_cv_lib_rt_clock_gettime" >&5
5752echo "${ECHO_T}$ac_cv_lib_rt_clock_gettime" >&6; }
5753if test $ac_cv_lib_rt_clock_gettime = yes; then
5754 cat >>confdefs.h <<_ACEOF
5755#define HAVE_LIBRT 1
5756_ACEOF
5757
5758 LIBS="-lrt $LIBS"
5759
5760fi
5761
5762
5763for ac_func in clock_gettime
5764do
5765as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
5766{ echo "$as_me:$LINENO: checking for $ac_func" >&5
5767echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
5768if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
5769 echo $ECHO_N "(cached) $ECHO_C" >&6
5770else
5771 cat >conftest.$ac_ext <<_ACEOF
5772/* confdefs.h. */
5773_ACEOF
5774cat confdefs.h >>conftest.$ac_ext
5775cat >>conftest.$ac_ext <<_ACEOF
5776/* end confdefs.h. */
5777/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
5778 For example, HP-UX 11i <limits.h> declares gettimeofday. */
5779#define $ac_func innocuous_$ac_func
5780
5781/* System header to define __stub macros and hopefully few prototypes,
5782 which can conflict with char $ac_func (); below.
5783 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
5784 <limits.h> exists even on freestanding compilers. */
5785
5786#ifdef __STDC__
5787# include <limits.h>
5788#else
5789# include <assert.h>
5790#endif
5791
5792#undef $ac_func
5793
5794/* Override any GCC internal prototype to avoid an error.
5795 Use char because int might match the return type of a GCC
5796 builtin and then its argument prototype would still apply. */
5797#ifdef __cplusplus
5798extern "C"
5799#endif
5800char $ac_func ();
5801/* The GNU C library defines this for functions which it implements
5802 to always fail with ENOSYS. Some functions are actually named
5803 something starting with __ and the normal name is an alias. */
5804#if defined __stub_$ac_func || defined __stub___$ac_func
5805choke me
5806#endif
5807
5808int
5809main ()
5810{
5811return $ac_func ();
5812 ;
5813 return 0;
5814}
5815_ACEOF
5816rm -f conftest.$ac_objext conftest$ac_exeext
5817if { (ac_try="$ac_link"
5818case "(($ac_try" in
5819 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5820 *) ac_try_echo=$ac_try;;
5821esac
5822eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5823 (eval "$ac_link") 2>conftest.er1
5824 ac_status=$?
5825 grep -v '^ *+' conftest.er1 >conftest.err
5826 rm -f conftest.er1
5827 cat conftest.err >&5
5828 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5829 (exit $ac_status); } && {
5830 test -z "$ac_cxx_werror_flag" ||
5831 test ! -s conftest.err
5832 } && test -s conftest$ac_exeext &&
5833 $as_test_x conftest$ac_exeext; then
5834 eval "$as_ac_var=yes"
5835else
5836 echo "$as_me: failed program was:" >&5
5837sed 's/^/| /' conftest.$ac_ext >&5
5838
5839 eval "$as_ac_var=no"
5840fi
5841
5842rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
5843 conftest$ac_exeext conftest.$ac_ext
5844fi
5845ac_res=`eval echo '${'$as_ac_var'}'`
5846 { echo "$as_me:$LINENO: result: $ac_res" >&5
5847echo "${ECHO_T}$ac_res" >&6; }
5848if test `eval echo '${'$as_ac_var'}'` = yes; then
5849 cat >>confdefs.h <<_ACEOF
5850#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
5851_ACEOF
5852
5853fi
5854done
5855
5856
5857fi
5858
5859
5860
5861{ echo "$as_me:$LINENO: checking for ceil in -lm" >&5
5862echo $ECHO_N "checking for ceil in -lm... $ECHO_C" >&6; }
5863if test "${ac_cv_lib_m_ceil+set}" = set; then
5864 echo $ECHO_N "(cached) $ECHO_C" >&6
5865else
5866 ac_check_lib_save_LIBS=$LIBS
5867LIBS="-lm $LIBS"
5868cat >conftest.$ac_ext <<_ACEOF
5869/* confdefs.h. */
5870_ACEOF
5871cat confdefs.h >>conftest.$ac_ext
5872cat >>conftest.$ac_ext <<_ACEOF
5873/* end confdefs.h. */
5874
5875/* Override any GCC internal prototype to avoid an error.
5876 Use char because int might match the return type of a GCC
5877 builtin and then its argument prototype would still apply. */
5878#ifdef __cplusplus
5879extern "C"
5880#endif
5881char ceil ();
5882int
5883main ()
5884{
5885return ceil ();
5886 ;
5887 return 0;
5888}
5889_ACEOF
5890rm -f conftest.$ac_objext conftest$ac_exeext
5891if { (ac_try="$ac_link"
5892case "(($ac_try" in
5893 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5894 *) ac_try_echo=$ac_try;;
5895esac
5896eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5897 (eval "$ac_link") 2>conftest.er1
5898 ac_status=$?
5899 grep -v '^ *+' conftest.er1 >conftest.err
5900 rm -f conftest.er1
5901 cat conftest.err >&5
5902 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5903 (exit $ac_status); } && {
5904 test -z "$ac_cxx_werror_flag" ||
5905 test ! -s conftest.err
5906 } && test -s conftest$ac_exeext &&
5907 $as_test_x conftest$ac_exeext; then
5908 ac_cv_lib_m_ceil=yes
5909else
5910 echo "$as_me: failed program was:" >&5
5911sed 's/^/| /' conftest.$ac_ext >&5
5912
5913 ac_cv_lib_m_ceil=no
5914fi
5915
5916rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
5917 conftest$ac_exeext conftest.$ac_ext
5918LIBS=$ac_check_lib_save_LIBS
5919fi
5920{ echo "$as_me:$LINENO: result: $ac_cv_lib_m_ceil" >&5
5921echo "${ECHO_T}$ac_cv_lib_m_ceil" >&6; }
5922if test $ac_cv_lib_m_ceil = yes; then
5923 cat >>confdefs.h <<_ACEOF
5924#define HAVE_LIBM 1
5925_ACEOF
5926
5927 LIBS="-lm $LIBS"
5928
5929fi
5930
5931
5932
5933
5934
5935
5936
4896# Extract the first word of "tic", so it can be a program name with args. 5937# Extract the first word of "tic", so it can be a program name with args.
4897set dummy tic; ac_word=$2 5938set dummy tic; ac_word=$2
4898{ echo "$as_me:$LINENO: checking for $ac_word" >&5 5939{ echo "$as_me:$LINENO: checking for $ac_word" >&5
4899echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; } 5940echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
4900if test "${ac_cv_path_TIC+set}" = set; then 5941if test "${ac_cv_path_TIC+set}" = set; then
4933echo "${ECHO_T}no" >&6; } 5974echo "${ECHO_T}no" >&6; }
4934fi 5975fi
4935 5976
4936 5977
4937 5978
4938
4939
4940ac_ext=cpp
4941ac_cpp='$CXXCPP $CPPFLAGS'
4942ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
4943ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4944ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
4945{ echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
4946echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6; }
4947if test -z "$CXXCPP"; then
4948 if test "${ac_cv_prog_CXXCPP+set}" = set; then
4949 echo $ECHO_N "(cached) $ECHO_C" >&6
4950else
4951 # Double quotes because CXXCPP needs to be expanded
4952 for CXXCPP in "$CXX -E" "/lib/cpp"
4953 do
4954 ac_preproc_ok=false
4955for ac_cxx_preproc_warn_flag in '' yes
4956do
4957 # Use a header file that comes with gcc, so configuring glibc
4958 # with a fresh cross-compiler works.
4959 # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
4960 # <limits.h> exists even on freestanding compilers.
4961 # On the NeXT, cc -E runs the code through the compiler's parser,
4962 # not just through cpp. "Syntax error" is here to catch this case.
4963 cat >conftest.$ac_ext <<_ACEOF
4964/* confdefs.h. */
4965_ACEOF
4966cat confdefs.h >>conftest.$ac_ext
4967cat >>conftest.$ac_ext <<_ACEOF
4968/* end confdefs.h. */
4969#ifdef __STDC__
4970# include <limits.h>
4971#else
4972# include <assert.h>
4973#endif
4974 Syntax error
4975_ACEOF
4976if { (ac_try="$ac_cpp conftest.$ac_ext"
4977case "(($ac_try" in
4978 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4979 *) ac_try_echo=$ac_try;;
4980esac
4981eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4982 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
4983 ac_status=$?
4984 grep -v '^ *+' conftest.er1 >conftest.err
4985 rm -f conftest.er1
4986 cat conftest.err >&5
4987 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4988 (exit $ac_status); } >/dev/null && {
4989 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
4990 test ! -s conftest.err
4991 }; then
4992 :
4993else
4994 echo "$as_me: failed program was:" >&5
4995sed 's/^/| /' conftest.$ac_ext >&5
4996
4997 # Broken: fails on valid input.
4998continue
4999fi
5000
5001rm -f conftest.err conftest.$ac_ext
5002
5003 # OK, works on sane cases. Now check whether nonexistent headers
5004 # can be detected and how.
5005 cat >conftest.$ac_ext <<_ACEOF
5006/* confdefs.h. */
5007_ACEOF
5008cat confdefs.h >>conftest.$ac_ext
5009cat >>conftest.$ac_ext <<_ACEOF
5010/* end confdefs.h. */
5011#include <ac_nonexistent.h>
5012_ACEOF
5013if { (ac_try="$ac_cpp conftest.$ac_ext"
5014case "(($ac_try" in
5015 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5016 *) ac_try_echo=$ac_try;;
5017esac
5018eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5019 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
5020 ac_status=$?
5021 grep -v '^ *+' conftest.er1 >conftest.err
5022 rm -f conftest.er1
5023 cat conftest.err >&5
5024 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5025 (exit $ac_status); } >/dev/null && {
5026 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
5027 test ! -s conftest.err
5028 }; then
5029 # Broken: success on invalid input.
5030continue
5031else
5032 echo "$as_me: failed program was:" >&5
5033sed 's/^/| /' conftest.$ac_ext >&5
5034
5035 # Passes both tests.
5036ac_preproc_ok=:
5037break
5038fi
5039
5040rm -f conftest.err conftest.$ac_ext
5041
5042done
5043# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
5044rm -f conftest.err conftest.$ac_ext
5045if $ac_preproc_ok; then
5046 break
5047fi
5048
5049 done
5050 ac_cv_prog_CXXCPP=$CXXCPP
5051
5052fi
5053 CXXCPP=$ac_cv_prog_CXXCPP
5054else
5055 ac_cv_prog_CXXCPP=$CXXCPP
5056fi
5057{ echo "$as_me:$LINENO: result: $CXXCPP" >&5
5058echo "${ECHO_T}$CXXCPP" >&6; }
5059ac_preproc_ok=false
5060for ac_cxx_preproc_warn_flag in '' yes
5061do
5062 # Use a header file that comes with gcc, so configuring glibc
5063 # with a fresh cross-compiler works.
5064 # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
5065 # <limits.h> exists even on freestanding compilers.
5066 # On the NeXT, cc -E runs the code through the compiler's parser,
5067 # not just through cpp. "Syntax error" is here to catch this case.
5068 cat >conftest.$ac_ext <<_ACEOF
5069/* confdefs.h. */
5070_ACEOF
5071cat confdefs.h >>conftest.$ac_ext
5072cat >>conftest.$ac_ext <<_ACEOF
5073/* end confdefs.h. */
5074#ifdef __STDC__
5075# include <limits.h>
5076#else
5077# include <assert.h>
5078#endif
5079 Syntax error
5080_ACEOF
5081if { (ac_try="$ac_cpp conftest.$ac_ext"
5082case "(($ac_try" in
5083 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5084 *) ac_try_echo=$ac_try;;
5085esac
5086eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5087 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
5088 ac_status=$?
5089 grep -v '^ *+' conftest.er1 >conftest.err
5090 rm -f conftest.er1
5091 cat conftest.err >&5
5092 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5093 (exit $ac_status); } >/dev/null && {
5094 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
5095 test ! -s conftest.err
5096 }; then
5097 :
5098else
5099 echo "$as_me: failed program was:" >&5
5100sed 's/^/| /' conftest.$ac_ext >&5
5101
5102 # Broken: fails on valid input.
5103continue
5104fi
5105
5106rm -f conftest.err conftest.$ac_ext
5107
5108 # OK, works on sane cases. Now check whether nonexistent headers
5109 # can be detected and how.
5110 cat >conftest.$ac_ext <<_ACEOF
5111/* confdefs.h. */
5112_ACEOF
5113cat confdefs.h >>conftest.$ac_ext
5114cat >>conftest.$ac_ext <<_ACEOF
5115/* end confdefs.h. */
5116#include <ac_nonexistent.h>
5117_ACEOF
5118if { (ac_try="$ac_cpp conftest.$ac_ext"
5119case "(($ac_try" in
5120 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5121 *) ac_try_echo=$ac_try;;
5122esac
5123eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5124 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
5125 ac_status=$?
5126 grep -v '^ *+' conftest.er1 >conftest.err
5127 rm -f conftest.er1
5128 cat conftest.err >&5
5129 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5130 (exit $ac_status); } >/dev/null && {
5131 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
5132 test ! -s conftest.err
5133 }; then
5134 # Broken: success on invalid input.
5135continue
5136else
5137 echo "$as_me: failed program was:" >&5
5138sed 's/^/| /' conftest.$ac_ext >&5
5139
5140 # Passes both tests.
5141ac_preproc_ok=:
5142break
5143fi
5144
5145rm -f conftest.err conftest.$ac_ext
5146
5147done
5148# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
5149rm -f conftest.err conftest.$ac_ext
5150if $ac_preproc_ok; then
5151 :
5152else
5153 { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
5154See \`config.log' for more details." >&5
5155echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
5156See \`config.log' for more details." >&2;}
5157 { (exit 1); exit 1; }; }
5158fi
5159
5160ac_ext=cpp
5161ac_cpp='$CXXCPP $CPPFLAGS'
5162ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5163ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5164ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
5165 5979
5166 5980
5167{ echo "$as_me:$LINENO: checking for X" >&5 5981{ echo "$as_me:$LINENO: checking for X" >&5
5168echo $ECHO_N "checking for X... $ECHO_C" >&6; } 5982echo $ECHO_N "checking for X... $ECHO_C" >&6; }
5169 5983
6621cat >>confdefs.h <<\_ACEOF 7435cat >>confdefs.h <<\_ACEOF
6622#define HAVE_SYS_WAIT_H 1 7436#define HAVE_SYS_WAIT_H 1
6623_ACEOF 7437_ACEOF
6624 7438
6625fi 7439fi
6626
6627{ echo "$as_me:$LINENO: checking for ANSI C header files" >&5
6628echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6; }
6629if test "${ac_cv_header_stdc+set}" = set; then
6630 echo $ECHO_N "(cached) $ECHO_C" >&6
6631else
6632 cat >conftest.$ac_ext <<_ACEOF
6633/* confdefs.h. */
6634_ACEOF
6635cat confdefs.h >>conftest.$ac_ext
6636cat >>conftest.$ac_ext <<_ACEOF
6637/* end confdefs.h. */
6638#include <stdlib.h>
6639#include <stdarg.h>
6640#include <string.h>
6641#include <float.h>
6642
6643int
6644main ()
6645{
6646
6647 ;
6648 return 0;
6649}
6650_ACEOF
6651rm -f conftest.$ac_objext
6652if { (ac_try="$ac_compile"
6653case "(($ac_try" in
6654 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
6655 *) ac_try_echo=$ac_try;;
6656esac
6657eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
6658 (eval "$ac_compile") 2>conftest.er1
6659 ac_status=$?
6660 grep -v '^ *+' conftest.er1 >conftest.err
6661 rm -f conftest.er1
6662 cat conftest.err >&5
6663 echo "$as_me:$LINENO: \$? = $ac_status" >&5
6664 (exit $ac_status); } && {
6665 test -z "$ac_cxx_werror_flag" ||
6666 test ! -s conftest.err
6667 } && test -s conftest.$ac_objext; then
6668 ac_cv_header_stdc=yes
6669else
6670 echo "$as_me: failed program was:" >&5
6671sed 's/^/| /' conftest.$ac_ext >&5
6672
6673 ac_cv_header_stdc=no
6674fi
6675
6676rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
6677
6678if test $ac_cv_header_stdc = yes; then
6679 # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
6680 cat >conftest.$ac_ext <<_ACEOF
6681/* confdefs.h. */
6682_ACEOF
6683cat confdefs.h >>conftest.$ac_ext
6684cat >>conftest.$ac_ext <<_ACEOF
6685/* end confdefs.h. */
6686#include <string.h>
6687
6688_ACEOF
6689if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
6690 $EGREP "memchr" >/dev/null 2>&1; then
6691 :
6692else
6693 ac_cv_header_stdc=no
6694fi
6695rm -f conftest*
6696
6697fi
6698
6699if test $ac_cv_header_stdc = yes; then
6700 # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
6701 cat >conftest.$ac_ext <<_ACEOF
6702/* confdefs.h. */
6703_ACEOF
6704cat confdefs.h >>conftest.$ac_ext
6705cat >>conftest.$ac_ext <<_ACEOF
6706/* end confdefs.h. */
6707#include <stdlib.h>
6708
6709_ACEOF
6710if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
6711 $EGREP "free" >/dev/null 2>&1; then
6712 :
6713else
6714 ac_cv_header_stdc=no
6715fi
6716rm -f conftest*
6717
6718fi
6719
6720if test $ac_cv_header_stdc = yes; then
6721 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
6722 if test "$cross_compiling" = yes; then
6723 :
6724else
6725 cat >conftest.$ac_ext <<_ACEOF
6726/* confdefs.h. */
6727_ACEOF
6728cat confdefs.h >>conftest.$ac_ext
6729cat >>conftest.$ac_ext <<_ACEOF
6730/* end confdefs.h. */
6731#include <ctype.h>
6732#include <stdlib.h>
6733#if ((' ' & 0x0FF) == 0x020)
6734# define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
6735# define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
6736#else
6737# define ISLOWER(c) \
6738 (('a' <= (c) && (c) <= 'i') \
6739 || ('j' <= (c) && (c) <= 'r') \
6740 || ('s' <= (c) && (c) <= 'z'))
6741# define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
6742#endif
6743
6744#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
6745int
6746main ()
6747{
6748 int i;
6749 for (i = 0; i < 256; i++)
6750 if (XOR (islower (i), ISLOWER (i))
6751 || toupper (i) != TOUPPER (i))
6752 return 2;
6753 return 0;
6754}
6755_ACEOF
6756rm -f conftest$ac_exeext
6757if { (ac_try="$ac_link"
6758case "(($ac_try" in
6759 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
6760 *) ac_try_echo=$ac_try;;
6761esac
6762eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
6763 (eval "$ac_link") 2>&5
6764 ac_status=$?
6765 echo "$as_me:$LINENO: \$? = $ac_status" >&5
6766 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
6767 { (case "(($ac_try" in
6768 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
6769 *) ac_try_echo=$ac_try;;
6770esac
6771eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
6772 (eval "$ac_try") 2>&5
6773 ac_status=$?
6774 echo "$as_me:$LINENO: \$? = $ac_status" >&5
6775 (exit $ac_status); }; }; then
6776 :
6777else
6778 echo "$as_me: program exited with status $ac_status" >&5
6779echo "$as_me: failed program was:" >&5
6780sed 's/^/| /' conftest.$ac_ext >&5
6781
6782( exit $ac_status )
6783ac_cv_header_stdc=no
6784fi
6785rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
6786fi
6787
6788
6789fi
6790fi
6791{ echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
6792echo "${ECHO_T}$ac_cv_header_stdc" >&6; }
6793if test $ac_cv_header_stdc = yes; then
6794
6795cat >>confdefs.h <<\_ACEOF
6796#define STDC_HEADERS 1
6797_ACEOF
6798
6799fi
6800
6801# On IRIX 5.3, sys/types and inttypes.h are conflicting.
6802
6803
6804
6805
6806
6807
6808
6809
6810
6811for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
6812 inttypes.h stdint.h unistd.h
6813do
6814as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
6815{ echo "$as_me:$LINENO: checking for $ac_header" >&5
6816echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
6817if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
6818 echo $ECHO_N "(cached) $ECHO_C" >&6
6819else
6820 cat >conftest.$ac_ext <<_ACEOF
6821/* confdefs.h. */
6822_ACEOF
6823cat confdefs.h >>conftest.$ac_ext
6824cat >>conftest.$ac_ext <<_ACEOF
6825/* end confdefs.h. */
6826$ac_includes_default
6827
6828#include <$ac_header>
6829_ACEOF
6830rm -f conftest.$ac_objext
6831if { (ac_try="$ac_compile"
6832case "(($ac_try" in
6833 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
6834 *) ac_try_echo=$ac_try;;
6835esac
6836eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
6837 (eval "$ac_compile") 2>conftest.er1
6838 ac_status=$?
6839 grep -v '^ *+' conftest.er1 >conftest.err
6840 rm -f conftest.er1
6841 cat conftest.err >&5
6842 echo "$as_me:$LINENO: \$? = $ac_status" >&5
6843 (exit $ac_status); } && {
6844 test -z "$ac_cxx_werror_flag" ||
6845 test ! -s conftest.err
6846 } && test -s conftest.$ac_objext; then
6847 eval "$as_ac_Header=yes"
6848else
6849 echo "$as_me: failed program was:" >&5
6850sed 's/^/| /' conftest.$ac_ext >&5
6851
6852 eval "$as_ac_Header=no"
6853fi
6854
6855rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
6856fi
6857ac_res=`eval echo '${'$as_ac_Header'}'`
6858 { echo "$as_me:$LINENO: result: $ac_res" >&5
6859echo "${ECHO_T}$ac_res" >&6; }
6860if test `eval echo '${'$as_ac_Header'}'` = yes; then
6861 cat >>confdefs.h <<_ACEOF
6862#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
6863_ACEOF
6864
6865fi
6866
6867done
6868
6869 7440
6870 7441
6871 7442
6872 7443
6873 7444
13819GREP!$GREP$ac_delim 14390GREP!$GREP$ac_delim
13820EGREP!$EGREP$ac_delim 14391EGREP!$EGREP$ac_delim
13821LINKER!$LINKER$ac_delim 14392LINKER!$LINKER$ac_delim
13822INSTALL_LIBRXVT!$INSTALL_LIBRXVT$ac_delim 14393INSTALL_LIBRXVT!$INSTALL_LIBRXVT$ac_delim
13823RXVTNAME!$RXVTNAME$ac_delim 14394RXVTNAME!$RXVTNAME$ac_delim
14395CXXCPP!$CXXCPP$ac_delim
13824TIC!$TIC$ac_delim 14396TIC!$TIC$ac_delim
13825XMKMF!$XMKMF$ac_delim 14397XMKMF!$XMKMF$ac_delim
13826CXXCPP!$CXXCPP$ac_delim
13827X_CFLAGS!$X_CFLAGS$ac_delim 14398X_CFLAGS!$X_CFLAGS$ac_delim
13828X_PRE_LIBS!$X_PRE_LIBS$ac_delim 14399X_PRE_LIBS!$X_PRE_LIBS$ac_delim
13829X_LIBS!$X_LIBS$ac_delim 14400X_LIBS!$X_LIBS$ac_delim
13830X_EXTRA_LIBS!$X_EXTRA_LIBS$ac_delim 14401X_EXTRA_LIBS!$X_EXTRA_LIBS$ac_delim
13831afterimage_config!$afterimage_config$ac_delim 14402afterimage_config!$afterimage_config$ac_delim

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines